<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginBottom="20dp">
    
    <android.support.v7.widget.CardView
        android:id="@+id/card_driver"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="10dp"
        app:cardElevation="4dp"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="10dp"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        app:layout_constraintTop_toTopOf="parent">
    
        <android.support.constraint.ConstraintLayout
            android:id="@+id/cardView"
            android:layout_width="match_parent"
            android:layout_height="match_parent">
        
            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/photo"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_marginTop="10dp"
                android:layout_marginStart="10dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"/>
        
            <LinearLayout android:id="@+id/desc_lay"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                app:layout_constraintTop_toTopOf="@+id/photo"
                app:layout_constraintBottom_toBottomOf="@id/photo"
                app:layout_constraintStart_toEndOf="@+id/photo"
                app:layout_constraintEnd_toEndOf="parent">
            
                <TextView android:id="@+id/caretaker_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/avenir_roman"
                    android:textSize="16sp"
                    android:textColor="@color/dark_gray"
                    android:text="Pradi Mahendra"
                    android:maxLines="1"
                    android:ellipsize="end"/>
            
                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="5dp"
                    android:background="@color/dark_gray"/>
            
                <TextView android:id="@+id/caretaker_type"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/avenir_roman"
                    android:textSize="14sp"
                    android:textColor="@color/dark_gray"
                    android:text="Driver"
                    android:maxLines="1"
                    android:ellipsize="end"
                    android:layout_marginTop="5dp"/>
        
            </LinearLayout>
    
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:weightSum="3"
                android:orientation="horizontal"
                android:layout_margin="10dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/photo">
    
                <TextView android:id="@+id/btn_Info"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:drawableTop="@drawable/ic_info"
                    android:drawablePadding="2dp"
                    android:fontFamily="@font/avenir_roman"
                    android:text="Info"
                    android:textColor="@color/colorPrimary"
                    android:textSize="12sp"
                    android:gravity="center"/>
    
                <TextView android:id="@+id/btn_maps"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:drawableTop="@drawable/ic_mapmarker_gray2"
                    android:drawablePadding="2dp"
                    android:fontFamily="@font/avenir_roman"
                    android:text="Maps"
                    android:textColor="@color/colorPrimary"
                    android:textSize="12sp"
                    android:gravity="center"/>
    
                <TextView android:id="@+id/btn_history"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:drawableTop="@drawable/ic_history"
                    android:drawablePadding="2dp"
                    android:fontFamily="@font/avenir_roman"
                    android:text="History"
                    android:textColor="@color/colorPrimary"
                    android:textSize="12sp"
                    android:gravity="center"/>
    
            </LinearLayout>
            
        </android.support.constraint.ConstraintLayout>
        
    </android.support.v7.widget.CardView>

    <android.support.v7.widget.RecyclerView android:id="@+id/recycler_child"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        app:layout_constraintTop_toBottomOf="@+id/card_driver"/>
    
    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/dark_gray"
        android:layout_marginTop="10dp"
        app:layout_constraintTop_toBottomOf="@+id/recycler_child"
        app:layout_constraintBottom_toBottomOf="parent"/>
    

</android.support.constraint.ConstraintLayout>